<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Tue Aug 01 04:46:15 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Scheduler (org.eclipse.papyrus.marte.static.profile 1.2.2 API)</title>
<meta name="date" content="2017-08-01">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Scheduler (org.eclipse.papyrus.marte.static.profile 1.2.2 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6,"i8":6,"i9":6,"i10":6,"i11":6,"i12":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Scheduler.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/SchedulableResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/SecondaryScheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" target="_top">Frames</a></li>
<li><a href="Scheduler.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM</div>
<h2 title="Interface Scheduler" class="title">Interface Scheduler</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd>org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Resource</a></dd>
</dl>
<dl>
<dt>All Known Subinterfaces:</dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaCommHost.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM">GaCommHost</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaExecHost.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM">GaExecHost</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/SAM/SaCommHost.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM">SaCommHost</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/SAM/SaExecHost.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM">SaExecHost</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/SecondaryScheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">SecondaryScheduler</a></dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaCommHostImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.impl">GaCommHostImpl</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaExecHostImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.impl">GaExecHostImpl</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/SAM/impl/SaCommHostImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM.impl">SaCommHostImpl</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/SAM/impl/SaExecHostImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM.impl">SaExecHostImpl</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/SchedulerImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.impl">SchedulerImpl</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/SecondarySchedulerImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.impl">SecondarySchedulerImpl</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">Scheduler</span>
extends <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Resource</a></pre>
<div class="block"><!-- begin-user-doc -->
 A representation of the model object '<em><b>Scheduler</b></em>'.
 <!-- end-user-doc -->

 <p>
 The following features are supported:
 </p>
 <ul>
 <li><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html#isPreemptible--"><code><em>Is Preemptible</em></code></a></li>
 <li><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html#getSchedPolicy--"><code><em>Sched Policy</em></code></a></li>
 <li><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html#getOtherSchedPolicy--"><code><em>Other Sched Policy</em></code></a></li>
 <li><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html#getSchedule--"><code><em>Schedule</em></code></a></li>
 <li><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html#getProcessingUnits--"><code><em>Processing Units</em></code></a></li>
 <li><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html#getHost--"><code><em>Host</em></code></a></li>
 <li><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html#getProtectedSharedResources--"><code><em>Protected Shared Resources</em></code></a></li>
 <li><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html#getSchedulableResources--"><code><em>Schedulable Resources</em></code></a></li>
 </ul></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/GRMPackage.html#getScheduler--"><code>GRMPackage.getScheduler()</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/ComputingResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">ComputingResource</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html#getHost--">getHost</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Host</b></em>' reference.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html#getOtherSchedPolicy--">getOtherSchedPolicy</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Other Sched Policy</b></em>' attribute.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.common.util.EList&lt;<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/ProcessingResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">ProcessingResource</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html#getProcessingUnits--">getProcessingUnits</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Processing Units</b></em>' reference list.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.common.util.EList&lt;<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/MutualExclusionResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">MutualExclusionResource</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html#getProtectedSharedResources--">getProtectedSharedResources</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Protected Shared Resources</b></em>' reference list.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/eclipse/papyrus/MARTE_Library/GRM_BasicTypes/SchedPolicyKind.html" title="enum in org.eclipse.papyrus.MARTE_Library.GRM_BasicTypes">SchedPolicyKind</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html#getSchedPolicy--">getSchedPolicy</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Sched Policy</b></em>' attribute.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.common.util.EList&lt;<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/SchedulableResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">SchedulableResource</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html#getSchedulableResources--">getSchedulableResources</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Schedulable Resources</b></em>' reference list.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html#getSchedule--">getSchedule</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Schedule</b></em>' attribute.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html#isPreemptible--">isPreemptible</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Is Preemptible</b></em>' attribute.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html#setHost-org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.ComputingResource-">setHost</a></span>(<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/ComputingResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">ComputingResource</a>&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html#getHost--"><code><em>Host</em></code></a>' reference.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html#setIsPreemptible-boolean-">setIsPreemptible</a></span>(boolean&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html#isPreemptible--"><code><em>Is Preemptible</em></code></a>' attribute.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html#setOtherSchedPolicy-java.lang.String-">setOtherSchedPolicy</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html#getOtherSchedPolicy--"><code><em>Other Sched Policy</em></code></a>' attribute.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html#setSchedPolicy-org.eclipse.papyrus.MARTE_Library.GRM_BasicTypes.SchedPolicyKind-">setSchedPolicy</a></span>(<a href="../../../../../../org/eclipse/papyrus/MARTE_Library/GRM_BasicTypes/SchedPolicyKind.html" title="enum in org.eclipse.papyrus.MARTE_Library.GRM_BasicTypes">SchedPolicyKind</a>&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html#getSchedPolicy--"><code><em>Sched Policy</em></code></a>' attribute.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html#setSchedule-java.lang.String-">setSchedule</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html#getSchedule--"><code><em>Schedule</em></code></a>' attribute.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.Resource">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Resource</a></h3>
<code><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#getBase_Classifier--">getBase_Classifier</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#getBase_ConnectableElement--">getBase_ConnectableElement</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#getBase_InstanceSpecification--">getBase_InstanceSpecification</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#getBase_Lifeline--">getBase_Lifeline</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#getBase_Property--">getBase_Property</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#getResMult--">getResMult</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#isActive--">isActive</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#isProtected--">isProtected</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#setBase_Classifier-org.eclipse.uml2.uml.Classifier-">setBase_Classifier</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#setBase_ConnectableElement-org.eclipse.uml2.uml.ConnectableElement-">setBase_ConnectableElement</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#setBase_InstanceSpecification-org.eclipse.uml2.uml.InstanceSpecification-">setBase_InstanceSpecification</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#setBase_Lifeline-org.eclipse.uml2.uml.Lifeline-">setBase_Lifeline</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#setBase_Property-org.eclipse.uml2.uml.Property-">setBase_Property</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#setIsActive-boolean-">setIsActive</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#setIsProtected-boolean-">setIsProtected</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#setResMult-java.lang.String-">setResMult</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EObject</h3>
<code>eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.Notifier">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.common.notify.Notifier</h3>
<code>eAdapters, eDeliver, eNotify, eSetDeliver</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="isPreemptible--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isPreemptible</h4>
<pre>boolean&nbsp;isPreemptible()</pre>
<div class="block">Returns the value of the '<em><b>Is Preemptible</b></em>' attribute.
 The default value is <code>"true"</code>.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Is Preemptible</em>' attribute isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Is Preemptible</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html#setIsPreemptible-boolean-"><code>setIsPreemptible(boolean)</code></a>, 
<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/GRMPackage.html#getScheduler_IsPreemptible--"><code>GRMPackage.getScheduler_IsPreemptible()</code></a></dd>
</dl>
</li>
</ul>
<a name="setIsPreemptible-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setIsPreemptible</h4>
<pre>void&nbsp;setIsPreemptible(boolean&nbsp;value)</pre>
<div class="block">Sets the value of the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html#isPreemptible--"><code><em>Is Preemptible</em></code></a>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>Is Preemptible</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html#isPreemptible--"><code>isPreemptible()</code></a></dd>
</dl>
</li>
</ul>
<a name="getSchedPolicy--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSchedPolicy</h4>
<pre><a href="../../../../../../org/eclipse/papyrus/MARTE_Library/GRM_BasicTypes/SchedPolicyKind.html" title="enum in org.eclipse.papyrus.MARTE_Library.GRM_BasicTypes">SchedPolicyKind</a>&nbsp;getSchedPolicy()</pre>
<div class="block">Returns the value of the '<em><b>Sched Policy</b></em>' attribute.
 The default value is <code>"FixedPriority"</code>.
 The literals are from the enumeration <a href="../../../../../../org/eclipse/papyrus/MARTE_Library/GRM_BasicTypes/SchedPolicyKind.html" title="enum in org.eclipse.papyrus.MARTE_Library.GRM_BasicTypes"><code>SchedPolicyKind</code></a>.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Sched Policy</em>' attribute isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Sched Policy</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE_Library/GRM_BasicTypes/SchedPolicyKind.html" title="enum in org.eclipse.papyrus.MARTE_Library.GRM_BasicTypes"><code>SchedPolicyKind</code></a>, 
<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html#setSchedPolicy-org.eclipse.papyrus.MARTE_Library.GRM_BasicTypes.SchedPolicyKind-"><code>setSchedPolicy(SchedPolicyKind)</code></a>, 
<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/GRMPackage.html#getScheduler_SchedPolicy--"><code>GRMPackage.getScheduler_SchedPolicy()</code></a></dd>
</dl>
</li>
</ul>
<a name="setSchedPolicy-org.eclipse.papyrus.MARTE_Library.GRM_BasicTypes.SchedPolicyKind-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSchedPolicy</h4>
<pre>void&nbsp;setSchedPolicy(<a href="../../../../../../org/eclipse/papyrus/MARTE_Library/GRM_BasicTypes/SchedPolicyKind.html" title="enum in org.eclipse.papyrus.MARTE_Library.GRM_BasicTypes">SchedPolicyKind</a>&nbsp;value)</pre>
<div class="block">Sets the value of the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html#getSchedPolicy--"><code><em>Sched Policy</em></code></a>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>Sched Policy</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE_Library/GRM_BasicTypes/SchedPolicyKind.html" title="enum in org.eclipse.papyrus.MARTE_Library.GRM_BasicTypes"><code>SchedPolicyKind</code></a>, 
<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html#getSchedPolicy--"><code>getSchedPolicy()</code></a></dd>
</dl>
</li>
</ul>
<a name="getOtherSchedPolicy--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOtherSchedPolicy</h4>
<pre><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getOtherSchedPolicy()</pre>
<div class="block">Returns the value of the '<em><b>Other Sched Policy</b></em>' attribute.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Other Sched Policy</em>' attribute isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Other Sched Policy</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html#setOtherSchedPolicy-java.lang.String-"><code>setOtherSchedPolicy(String)</code></a>, 
<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/GRMPackage.html#getScheduler_OtherSchedPolicy--"><code>GRMPackage.getScheduler_OtherSchedPolicy()</code></a></dd>
</dl>
</li>
</ul>
<a name="setOtherSchedPolicy-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setOtherSchedPolicy</h4>
<pre>void&nbsp;setOtherSchedPolicy(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Sets the value of the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html#getOtherSchedPolicy--"><code><em>Other Sched Policy</em></code></a>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>Other Sched Policy</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html#getOtherSchedPolicy--"><code>getOtherSchedPolicy()</code></a></dd>
</dl>
</li>
</ul>
<a name="getSchedule--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSchedule</h4>
<pre><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getSchedule()</pre>
<div class="block">Returns the value of the '<em><b>Schedule</b></em>' attribute.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Schedule</em>' attribute isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Schedule</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html#setSchedule-java.lang.String-"><code>setSchedule(String)</code></a>, 
<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/GRMPackage.html#getScheduler_Schedule--"><code>GRMPackage.getScheduler_Schedule()</code></a></dd>
</dl>
</li>
</ul>
<a name="setSchedule-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSchedule</h4>
<pre>void&nbsp;setSchedule(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Sets the value of the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html#getSchedule--"><code><em>Schedule</em></code></a>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>Schedule</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html#getSchedule--"><code>getSchedule()</code></a></dd>
</dl>
</li>
</ul>
<a name="getProcessingUnits--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getProcessingUnits</h4>
<pre>org.eclipse.emf.common.util.EList&lt;<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/ProcessingResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">ProcessingResource</a>&gt;&nbsp;getProcessingUnits()</pre>
<div class="block">Returns the value of the '<em><b>Processing Units</b></em>' reference list.
 The list contents are of type <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/ProcessingResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM"><code>ProcessingResource</code></a>.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Processing Units</em>' reference list isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Processing Units</em>' reference list.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/GRMPackage.html#getScheduler_ProcessingUnits--"><code>GRMPackage.getScheduler_ProcessingUnits()</code></a></dd>
</dl>
</li>
</ul>
<a name="getHost--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getHost</h4>
<pre><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/ComputingResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">ComputingResource</a>&nbsp;getHost()</pre>
<div class="block">Returns the value of the '<em><b>Host</b></em>' reference.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Host</em>' reference isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Host</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html#setHost-org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.ComputingResource-"><code>setHost(ComputingResource)</code></a>, 
<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/GRMPackage.html#getScheduler_Host--"><code>GRMPackage.getScheduler_Host()</code></a></dd>
</dl>
</li>
</ul>
<a name="setHost-org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.ComputingResource-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setHost</h4>
<pre>void&nbsp;setHost(<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/ComputingResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">ComputingResource</a>&nbsp;value)</pre>
<div class="block">Sets the value of the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html#getHost--"><code><em>Host</em></code></a>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>Host</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html#getHost--"><code>getHost()</code></a></dd>
</dl>
</li>
</ul>
<a name="getProtectedSharedResources--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getProtectedSharedResources</h4>
<pre>org.eclipse.emf.common.util.EList&lt;<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/MutualExclusionResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">MutualExclusionResource</a>&gt;&nbsp;getProtectedSharedResources()</pre>
<div class="block">Returns the value of the '<em><b>Protected Shared Resources</b></em>' reference list.
 The list contents are of type <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/MutualExclusionResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM"><code>MutualExclusionResource</code></a>.
 It is bidirectional and its opposite is '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/MutualExclusionResource.html#getScheduler--"><code><em>Scheduler</em></code></a>'.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Protected Shared Resources</em>' reference list isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Protected Shared Resources</em>' reference list.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/GRMPackage.html#getScheduler_ProtectedSharedResources--"><code>GRMPackage.getScheduler_ProtectedSharedResources()</code></a>, 
<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/MutualExclusionResource.html#getScheduler--"><code>MutualExclusionResource.getScheduler()</code></a></dd>
</dl>
</li>
</ul>
<a name="getSchedulableResources--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getSchedulableResources</h4>
<pre>org.eclipse.emf.common.util.EList&lt;<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/SchedulableResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">SchedulableResource</a>&gt;&nbsp;getSchedulableResources()</pre>
<div class="block">Returns the value of the '<em><b>Schedulable Resources</b></em>' reference list.
 The list contents are of type <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/SchedulableResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM"><code>SchedulableResource</code></a>.
 It is bidirectional and its opposite is '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/SchedulableResource.html#getHost--"><code><em>Host</em></code></a>'.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Schedulable Resources</em>' reference list isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Schedulable Resources</em>' reference list.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/GRMPackage.html#getScheduler_SchedulableResources--"><code>GRMPackage.getScheduler_SchedulableResources()</code></a>, 
<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/SchedulableResource.html#getHost--"><code>SchedulableResource.getHost()</code></a></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Scheduler.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/SchedulableResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/SecondaryScheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" target="_top">Frames</a></li>
<li><a href="Scheduler.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
